import * as i0 from '@angular/core';
import { Injectable, Component, ChangeDetectionStrategy, Input, EventEmitter, Output, NgModule } from '@angular/core';
import * as i5 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2$3 from 'ng-zorro-antd/grid';
import { NzGridModule } from 'ng-zorro-antd/grid';
import * as i3 from 'ng-zorro-antd/button';
import { NzButtonModule } from 'ng-zorro-antd/button';
import * as i9 from 'ng-zorro-antd/icon';
import { NzIconModule } from 'ng-zorro-antd/icon';
import * as i7 from '@angular/forms';
import { FormControl, FormsModule, ReactiveFormsModule } from '@angular/forms';
import { finalize, debounceTime, distinctUntilChanged } from 'rxjs/operators';
import * as i1 from 'ng-zorro-antd/input';
import { NzInputModule } from 'ng-zorro-antd/input';
import * as i2$1 from 'ng-zorro-antd/spin';
import { NzSpinModule } from 'ng-zorro-antd/spin';
import * as i3$1 from 'ng-zorro-antd/table';
import { NzTableModule } from 'ng-zorro-antd/table';
import * as i2 from 'ng-zorro-antd/switch';
import { NzSwitchModule } from 'ng-zorro-antd/switch';
import * as i4 from 'ng-zorro-antd/dropdown';
import { NzDropDownModule } from 'ng-zorro-antd/dropdown';
import * as i7$1 from 'ng-zorro-antd/core/wave';
import * as i8 from 'ng-zorro-antd/core/transition-patch';
import * as i10 from 'ng-zorro-antd/menu';
import * as i5$1 from 'ng-zorro-antd/pagination';
import { NzPaginationModule } from 'ng-zorro-antd/pagination';
import * as i8$1 from '@angular/router';
import { RouterModule } from '@angular/router';
import * as i1$1 from 'ng-zorro-antd/page-header';
import { NzPageHeaderModule } from 'ng-zorro-antd/page-header';
import * as i6 from 'ng-zorro-antd/tabs';
import { NzTabsModule } from 'ng-zorro-antd/tabs';
import * as i2$2 from 'ng-zorro-antd/breadcrumb';
import { NzBreadCrumbModule } from 'ng-zorro-antd/breadcrumb';
import * as i3$2 from 'ng-zorro-antd/tag';
import { NzTagModule } from 'ng-zorro-antd/tag';
import { NzCardModule } from 'ng-zorro-antd/card';
import { NzCollapseModule } from 'ng-zorro-antd/collapse';
import { NzDividerModule } from 'ng-zorro-antd/divider';
import { NzAnchorModule } from 'ng-zorro-antd/anchor';
import { NzTypographyModule } from 'ng-zorro-antd/typography';
import { NzFormModule } from 'ng-zorro-antd/form';
import { NzInputNumberModule } from 'ng-zorro-antd/input-number';
import { NzSelectModule } from 'ng-zorro-antd/select';
import { NzMessageModule } from 'ng-zorro-antd/message';
import { NzRadioModule } from 'ng-zorro-antd/radio';
import { NzDrawerModule } from 'ng-zorro-antd/drawer';
import { NzSpaceModule } from 'ng-zorro-antd/space';
import { NzModalModule } from 'ng-zorro-antd/modal';
import { NzResultModule } from 'ng-zorro-antd/result';
import { NzToolTipModule } from 'ng-zorro-antd/tooltip';

class UmbrellaLibraryService {
    constructor() { }
    isSuccessfulResponse(response) {
        return response.responseStatus === 'SUCCESS';
    }
}
UmbrellaLibraryService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UmbrellaLibraryService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
UmbrellaLibraryService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UmbrellaLibraryService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UmbrellaLibraryService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class UmbrellaLibraryComponent {
    constructor() { }
    ngOnInit() {
    }
}
UmbrellaLibraryComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UmbrellaLibraryComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
UmbrellaLibraryComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: UmbrellaLibraryComponent, selector: "lib-umbrella-library", ngImport: i0, template: `
    <p>
      umbrella-library is amazing!
    </p>
  `, isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UmbrellaLibraryComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'lib-umbrella-library',
                    template: `
    <p>
      umbrella-library is amazing!
    </p>
  `,
                    styles: []
                }]
        }], ctorParameters: function () { return []; } });

var DataTableColumnFormatType;
(function (DataTableColumnFormatType) {
    DataTableColumnFormatType["date"] = "date";
    DataTableColumnFormatType["boolean"] = "boolean";
    DataTableColumnFormatType["statusToggle"] = "statusToggle";
    DataTableColumnFormatType["nestedAttribute"] = "nestedAttribute";
    DataTableColumnFormatType["menuDropdownActions"] = "menuDropdownActions";
    DataTableColumnFormatType["templateRef"] = "templateRef";
})(DataTableColumnFormatType || (DataTableColumnFormatType = {}));

/**
 *
 * @param object a table data record
 * @param nestedAttributePath the path of a nested attribute to display
 * @returns the value of a sub object located at the nested path of the input object
 * @example
 * ```ts
 * const exObj = {fleet: {vehicleGroup: {id: 1, name: 'v group 1'}}};
 * const nestedValue = getNestedAttribute(exObj, 'fleet.vehicleGroup.name');
 * console.log(nestedValue);
 * // v group 1
 * ```
 */
function getNestedAttribute(object, nestedAttributePath) {
    const nestedAttributes = nestedAttributePath.split('.');
    let nestedAttributeValue = object;
    for (let nestedAttribute of nestedAttributes) {
        if (nestedAttributeValue[nestedAttribute]) {
            nestedAttributeValue = nestedAttributeValue[nestedAttribute];
        }
        else {
            nestedAttributeValue = undefined;
            break;
        }
    }
    return nestedAttributeValue;
}

class CustomDataTableCellComponent {
    constructor(cdr, library) {
        this.cdr = cdr;
        this.library = library;
        this.dataTableColumnFormatType = DataTableColumnFormatType;
        this.getNestedAttribute = getNestedAttribute;
    }
    onStatusToggleClick(event, column, record) {
        var _a;
        if (((_a = column.format) === null || _a === void 0 ? void 0 : _a.type) === DataTableColumnFormatType.statusToggle) {
            this.loadingStatusToggleRecordId = record.id;
            column.format
                .action(record.id, Object.assign(Object.assign({}, record), { status: !record.status }))
                .pipe(finalize(() => {
                this.loadingStatusToggleRecordId = -1;
                this.cdr.markForCheck();
            }))
                .subscribe((response) => {
                if (!this.library.isSuccessfulResponse(response)) {
                    event.preventDefault();
                }
                else {
                    record.status = !record.status;
                }
            });
        }
    }
}
CustomDataTableCellComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: CustomDataTableCellComponent, deps: [{ token: i0.ChangeDetectorRef }, { token: UmbrellaLibraryService }], target: i0.ɵɵFactoryTarget.Component });
CustomDataTableCellComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: CustomDataTableCellComponent, selector: "x-custom-data-table-cell", inputs: { column: "column", record: "record" }, ngImport: i0, template: "<ng-container *ngIf=\"column.format\"\n    [ngSwitch]=\"column.format.type\">\n  <!-- Date -->\n  <span *ngSwitchCase=\"dataTableColumnFormatType.date\">\n    {{ record[column.field] | date: 'd MMM yyyy' }}\n  </span>\n  <!-- Boolean -->\n  <span *ngSwitchCase=\"dataTableColumnFormatType.boolean\">\n    {{ record[column.field] ? column.format.true : column.format.false }}\n  </span>\n  <!-- Status -->\n  <nz-switch *ngSwitchCase=\"dataTableColumnFormatType.statusToggle\"\n      [nzLoading]=\"loadingStatusToggleRecordId === record.id\"\n      (click)=\"onStatusToggleClick($event, column, record)\"\n      [ngModel]=\"record.status\"></nz-switch>\n  <!-- Nested Attribute -->\n  <span *ngSwitchCase=\"dataTableColumnFormatType.nestedAttribute\">\n    {{getNestedAttribute(record, column.field)}}\n  </span>\n  <!-- Edit, Delete and more Action Buttons -->\n  <ng-container *ngSwitchCase=\"dataTableColumnFormatType.menuDropdownActions\">\n    <div class=\"x-data-table-dropdown-menu-cell hidden\"\n        *ngIf=\"column.format?.dropdownActionItems?.length\">\n      <button nz-button\n          nzNoAnimation\n          nz-dropdown\n          [nzDropdownMenu]=\"menu\"\n          style=\"border: none; padding: 0\">\n        <em nz-icon\n            nzType=\"ellipsis\"\n            nzTheme=\"outline\"\n            style=\"font-size: 20px; vertical-align: top\"></em>\n      </button>\n      <nz-dropdown-menu #menu=\"nzDropdownMenu\">\n        <ul nz-menu>\n          <li *ngFor=\"let dropdownItem of column.format.dropdownActionItems\"\n              nz-menu-item\n              (click)=\"dropdownItem.action(record)\">\n            <span>\n              <em nz-icon\n                  [nzType]=\"dropdownItem.nzIconName\"></em>\n              {{ dropdownItem.text }}\n            </span>\n          </li>\n        </ul>\n      </nz-dropdown-menu>\n    </div>\n  </ng-container>\n</ng-container>\n", styles: [".x-data-table-dropdown-menu-cell{display:inline-flex!important}.x-data-table-dropdown-menu-cell button{border:1.5px solid #00000026;width:32px}\n"], components: [{ type: i2.NzSwitchComponent, selector: "nz-switch", inputs: ["nzLoading", "nzDisabled", "nzControl", "nzCheckedChildren", "nzUnCheckedChildren", "nzSize"], exportAs: ["nzSwitch"] }, { type: i3.NzButtonComponent, selector: "button[nz-button], a[nz-button]", inputs: ["nzBlock", "nzGhost", "nzSearch", "nzLoading", "nzDanger", "disabled", "tabIndex", "nzType", "nzShape", "nzSize"], exportAs: ["nzButton"] }, { type: i4.NzDropdownMenuComponent, selector: "nz-dropdown-menu", exportAs: ["nzDropdownMenu"] }], directives: [{ type: i5.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i5.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { type: i5.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { type: i7.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i7.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { type: i7$1.NzWaveDirective, selector: "[nz-wave],button[nz-button]:not([nzType=\"link\"]):not([nzType=\"text\"])", inputs: ["nzWaveExtraNode"], exportAs: ["nzWave"] }, { type: i8.ɵNzTransitionPatchDirective, selector: "[nz-button], nz-button-group, [nz-icon], [nz-menu-item], [nz-submenu], nz-select-top-control, nz-select-placeholder, nz-input-group", inputs: ["hidden"] }, { type: i4.NzDropdownButtonDirective, selector: "[nz-button][nz-dropdown]" }, { type: i4.NzDropDownDirective, selector: "[nz-dropdown]", inputs: ["nzDropdownMenu", "nzTrigger", "nzMatchWidthElement", "nzHasBackdrop", "nzBackdrop", "nzClickHide", "nzDisabled", "nzVisible", "nzOverlayClassName", "nzOverlayStyle", "nzPlacement"], outputs: ["nzVisibleChange"], exportAs: ["nzDropdown"] }, { type: i9.NzIconDirective, selector: "[nz-icon]", inputs: ["nzRotate", "nzSpin", "nzType", "nzTheme", "nzTwotoneColor", "nzIconfont"], exportAs: ["nzIcon"] }, { type: i10.NzMenuDirective, selector: "[nz-menu]", inputs: ["nzInlineIndent", "nzTheme", "nzMode", "nzInlineCollapsed", "nzSelectable"], outputs: ["nzClick"], exportAs: ["nzMenu"] }, { type: i5.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i10.NzMenuItemDirective, selector: "[nz-menu-item]", inputs: ["nzDisabled", "nzSelected", "nzDanger", "nzMatchRouterExact", "nzMatchRouter", "nzPaddingLeft"], exportAs: ["nzMenuItem"] }], pipes: { "date": i5.DatePipe }, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: CustomDataTableCellComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'x-custom-data-table-cell',
                    templateUrl: './custom-data-table-cell.component.html',
                    styleUrls: ['./custom-data-table-cell.component.scss'],
                    changeDetection: ChangeDetectionStrategy.OnPush,
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: UmbrellaLibraryService }]; }, propDecorators: { column: [{
                type: Input
            }], record: [{
                type: Input
            }] } });

class DataTableComponent {
    constructor() {
        this.totalRecordsCount = 0;
        this.pageSize = 10;
        this.loading = false;
        this.fetchRecords = new EventEmitter();
        this.dataTableColumnFormatType = DataTableColumnFormatType;
        this.PAGE_SIZE_OPTIONS = this.displaySizeOptions || [5, 10, 20, 50, 100];
        this.currentPageIndex = 1;
        this.currentPageStart = 0;
        this.currentPageEnd = 0;
        this.searchControl = new FormControl('');
    }
    ngOnInit() {
        this._fetchRecords();
        this._subscribeToSearchControlChanges();
    }
    ngOnChanges(changes) {
        if (changes.records.currentValue !== 'undefined' ||
            changes.totalRecordsCount.currentValue !== 'undefined') {
            this.loading = false;
            this._setPaginationStartAndEnd();
        }
    }
    reset() {
        this._resetPagination();
        if (this.searchControl.value) {
            this.clearSearch();
        }
        else {
            this._fetchRecords();
        }
    }
    clearSearch() {
        this.searchControl.setValue('');
        this.searchControl.updateValueAndValidity();
    }
    onPageSizeChanged(size) {
        this.pageSize = size;
        this.currentPageIndex = 1;
        this._fetchRecords();
    }
    onPageIndexChanged(pageIndex) {
        this.currentPageIndex = pageIndex;
        this._fetchRecords();
    }
    _subscribeToSearchControlChanges() {
        this.searchControl.valueChanges
            .pipe(debounceTime(300), distinctUntilChanged())
            .subscribe(() => {
            this._resetPagination();
            this._fetchRecords();
        });
    }
    _resetPagination() {
        this.currentPageIndex = 1;
        this.currentPageStart = 0;
        this.currentPageEnd = 0;
    }
    _fetchRecords() {
        this.loading = true;
        this.fetchRecords.emit({
            searchKey: this.searchControl.value,
            /* @TODO Implement sorting or remove this */
            //sortOrder: this._getSortOrder(),
            //sortField: this.sortedColumn?.field,
            paginationInfo: { pageNumber: this.currentPageIndex, pageSize: this.pageSize },
        });
    }
    _setPaginationStartAndEnd() {
        const start = (this.currentPageIndex - 1) * this.pageSize;
        this.currentPageStart = this.totalRecordsCount ? start + 1 : start;
        this.currentPageEnd = start + this.pageSize;
        this.currentPageEnd =
            this.currentPageEnd > this.totalRecordsCount ? this.totalRecordsCount : this.currentPageEnd;
    }
}
DataTableComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DataTableComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
DataTableComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: DataTableComponent, selector: "x-data-table", inputs: { columns: "columns", records: "records", displaySizeOptions: "displaySizeOptions", totalRecordsCount: "totalRecordsCount", pageSize: "pageSize", label: "label", loading: "loading", customCellTemplateRef: "customCellTemplateRef" }, outputs: { fetchRecords: "fetchRecords" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"x-table-card margin-24px\">\n  <div class=\"x-table-container\">\n    <div class=\"x-table-topbar\">\n      <nz-input-group class=\"x-table-search-input\"\n          attr.data-testid=\"{{ label + '-table-search' }}\"\n          [nzPrefix]=\"iconSearchTemplate\"\n          [nzSuffix]=\"inputClearTemplate\">\n        <input [formControl]=\"searchControl\"\n            type=\"text\"\n            nz-input\n            placeholder=\"Search...\" />\n      </nz-input-group>\n      <!-- Download Button\n        @TODO Remove if we will not implement\n         <button attr.data-testid=\"{{ page + '-record-org-download' }}\"\n          class=\"x-download-button\"\n          nz-tooltip\n          nzTooltipTitle=\"Download CSV\"\n          nz-button\n          nzType=\"default\"\n          (click)=\"downloadCsv()\"\n          [disabled]=\"downloading\">\n          <x-svg-icon name=\"lp_operations_download\"></x-svg-icon>\n          <em nz-icon\n              [nzType]=\"'loading'\"\n              class=\"x-button-loader-icon\"></em>\n        </button>\n      -->\n    </div>\n    <div *ngIf=\"loading\"\n        class=\"x-table-spinner\">\n      <nz-spin nzSimple\n          class=\"x-table-spinner-spinning\"\n          [nzIndicator]=\"indicatorTemplate\"></nz-spin>\n      <p>Loading...</p>\n    </div>\n    <div [class.x-table-loading]=\"loading\">\n      <div class=\"x-table\">\n        <nz-table attr.data-testid=\"{{ label + '-table' }}\"\n            #nzTable\n            [nzData]=\"records\"\n            nzTableLayout=\"fixed\"\n            [nzFrontPagination]=\"false\">\n          <thead>\n            <tr>\n              <ng-container *ngFor=\"let column of columns\">\n                <th [nzWidth]=\"column.width\"\n                    [class]=\"column.headerClass\">\n                  <!-- @TODO Implement sorting\n                  [nzSortFn]=\"column.sort\"\n                  [(nzSortOrder)]=\"column.sortOrder\"\n                  (nzSortOrderChange)=\"onSortingChanged(column)\">\n                  -->\n                  {{ column.name }}\n                </th>\n              </ng-container>\n            </tr>\n          </thead>\n\n          <tbody>\n            <tr *ngFor=\"let record of nzTable.data\">\n              <ng-container *ngFor=\"let column of columns\">\n                <!-- LOOP THROUGH DISPLAYED COLUMNS -->\n                <td [class]=\"column.cellClass\">\n                  <span *ngIf=\"!column.format\">{{ record[column.field] }}</span>\n\n                  <!-- HANDLE SPECIAL FORMATS -->\n                  <!-- As a custom template ref -->\n                  <ng-container\n                      *ngIf=\"customCellTemplateRef && column.format?.type === dataTableColumnFormatType.templateRef\"\n                      [ngTemplateOutlet]=\"customCellTemplateRef\"\n                      [ngTemplateOutletContext]=\"{ column: column, record: record }\">\n                  </ng-container>\n                  <!-- Or one of most commonly used format type cases -->\n\n                  <x-custom-data-table-cell\n                      *ngIf=\"column.format && column.format?.type !== dataTableColumnFormatType.templateRef\"\n                      [column]=\"column\"\n                      [record]=\"record\">\n                  </x-custom-data-table-cell>\n                </td>\n              </ng-container>\n            </tr>\n          </tbody>\n        </nz-table>\n      </div>\n\n      <div class=\"x-table-pagination margin-right-24px\"\n          attr.data-testid=\"{{ label + '-pagination' }}\">\n        <p class=\"x-table-pagination-info\">\n          Showing {{ currentPageStart }} - {{ currentPageEnd }} of {{ totalRecordsCount }}\n          {{ label }}\n        </p>\n        <nz-pagination [nzPageIndex]=\"currentPageIndex\"\n            [nzTotal]=\"totalRecordsCount\"\n            [nzPageSize]=\"pageSize\"\n            [nzPageSizeOptions]=\"PAGE_SIZE_OPTIONS\"\n            (nzPageSizeChange)=\"onPageSizeChanged($event)\"\n            (nzPageIndexChange)=\"onPageIndexChanged($event)\"\n            nzShowSizeChanger></nz-pagination>\n      </div>\n    </div>\n  </div>\n</div>\n\n<ng-template #indicatorTemplate><em nz-icon\n      nzType=\"loading\"></em></ng-template>\n\n<ng-template #iconSearchTemplate>\n  <i class=\"x-table-search-icon\"\n      nz-icon\n      nzType=\"search\"></i>\n</ng-template>\n<ng-template #inputClearTemplate>\n  <em nz-icon\n      class=\"ant-input-clear-icon\"\n      nzTheme=\"fill\"\n      nzType=\"close-circle\"\n      *ngIf=\"searchControl.value\"\n      (click)=\"clearSearch()\"></em>\n</ng-template>\n", styles: [".x-table-card{background:var(--x-color-neutral-surface);box-shadow:0 0 1px #0000001a,0 1px 3px #0000001f;border-radius:6px}.x-table-container .x-table-topbar{padding:24px;border-bottom:1px solid var(--x-color-border-normal);display:flex;justify-content:flex-start}.x-table-container .x-table-topbar .fm-search-input{width:360px}.x-table-container .x-table-topbar .fm-search-input input::placeholder{color:var(--x-color-text-on-surface-subtle);font-style:italic}.x-table-container .x-table-topbar .x-table-search-icon{color:var(--x-color-text-on-surface-subtle);margin-right:6px}.x-table-container .x-table-topbar .x-table-download-button{padding:6px;margin-left:12px}.x-table-container .x-table-topbar .x-table-download-button x-svg-icon{color:var(--x-color-text-on-surface-strong);height:18px;width:18px;line-height:18px}.x-table-container .x-table-topbar .x-table-download-button i{display:none}.x-table-container .x-table-topbar .x-table-download-button:disabled x-svg-icon{display:none}.x-table-container .x-table-topbar .x-table-download-button:disabled i{display:flex}.x-table-container .x-table{padding:4px 0}.x-table-container .x-table tr{height:80px}.x-table-container .x-table tr>th{padding:24px 16px;background:var(--x-color-background-surface);color:var(--x-color-text-on-surface-strong);font-weight:600;line-height:18px;overflow:auto}.x-table-container .x-table tr>th:before{display:none}.x-table-container .x-table tr>td{padding:12px 16px;color:var(--x-color-text-on-surface-strong)}.x-table-container .x-table tr:hover>td{background-color:var(--x-focus-subtle)!important}.x-table-container .x-table tr td:first-of-type,.x-table-container .x-table tr th:first-of-type{padding-left:24px}.x-table-container .x-table tr td:last-of-type,.x-table-container .x-table tr th:last-of-type{padding-right:24px}.x-table-container .x-table-expandable-icon{display:none}.x-table-container .x-table-number-type{font-size:14px;line-height:22px;color:var(--x-color-text-on-surface-subtle)}.x-table-container .x-table-number-type a{display:block;font-weight:600;color:var(--x-color-text-on-surface-link)}.x-table-container .x-table-number-type a:hover{text-decoration:underline}.x-table-container .x-table-tag{font-size:14px;line-height:18px;padding:3px 8px;background:var(--x-color-system-subtle-grey);border:none}.x-table-loading{display:none}.x-table-pagination{padding:24px;display:flex;align-items:center}.x-table-pagination .x-table-pagination-info{margin:0;flex:1}.x-table-spinner{padding:80px;text-align:center}.x-table-spinner .x-table-spinner-spinning i{font-size:48px;color:var(--x-color-primary-main)}.x-table-spinner p{margin:20px 0 0;color:var(--x-color-text-on-surface-subtle);font-weight:400;font-size:16px;line-height:20px}\n"], components: [{ type: i1.NzInputGroupComponent, selector: "nz-input-group", inputs: ["nzAddOnBeforeIcon", "nzAddOnAfterIcon", "nzPrefixIcon", "nzSuffixIcon", "nzSize", "nzSearch", "nzCompact", "nzAddOnBefore", "nzAddOnAfter", "nzPrefix", "nzSuffix"], exportAs: ["nzInputGroup"] }, { type: i2$1.NzSpinComponent, selector: "nz-spin", inputs: ["nzIndicator", "nzSize", "nzTip", "nzDelay", "nzSimple", "nzSpinning"], exportAs: ["nzSpin"] }, { type: i3$1.NzTableComponent, selector: "nz-table", inputs: ["nzTableLayout", "nzShowTotal", "nzItemRender", "nzTitle", "nzFooter", "nzNoResult", "nzPageSizeOptions", "nzVirtualItemSize", "nzVirtualMaxBufferPx", "nzVirtualMinBufferPx", "nzVirtualForTrackBy", "nzLoadingDelay", "nzPageIndex", "nzPageSize", "nzTotal", "nzWidthConfig", "nzData", "nzPaginationPosition", "nzScroll", "nzPaginationType", "nzFrontPagination", "nzTemplateMode", "nzShowPagination", "nzLoading", "nzOuterBordered", "nzLoadingIndicator", "nzBordered", "nzSize", "nzShowSizeChanger", "nzHideOnSinglePage", "nzShowQuickJumper", "nzSimple"], outputs: ["nzPageSizeChange", "nzPageIndexChange", "nzQueryParams", "nzCurrentPageDataChange"], exportAs: ["nzTable"] }, { type: i3$1.NzTheadComponent, selector: "thead:not(.ant-table-thead)", outputs: ["nzSortOrderChange"] }, { type: i3$1.NzTbodyComponent, selector: "tbody" }, { type: CustomDataTableCellComponent, selector: "x-custom-data-table-cell", inputs: ["column", "record"] }, { type: i5$1.NzPaginationComponent, selector: "nz-pagination", inputs: ["nzShowTotal", "nzItemRender", "nzSize", "nzPageSizeOptions", "nzShowSizeChanger", "nzShowQuickJumper", "nzSimple", "nzDisabled", "nzResponsive", "nzHideOnSinglePage", "nzTotal", "nzPageIndex", "nzPageSize"], outputs: ["nzPageSizeChange", "nzPageIndexChange"], exportAs: ["nzPagination"] }], directives: [{ type: i8.ɵNzTransitionPatchDirective, selector: "[nz-button], nz-button-group, [nz-icon], [nz-menu-item], [nz-submenu], nz-select-top-control, nz-select-placeholder, nz-input-group", inputs: ["hidden"] }, { type: i1.NzInputGroupWhitSuffixOrPrefixDirective, selector: "nz-input-group[nzSuffix], nz-input-group[nzPrefix]" }, { type: i1.NzInputDirective, selector: "input[nz-input],textarea[nz-input]", inputs: ["nzBorderless", "nzSize", "disabled"], exportAs: ["nzInput"] }, { type: i7.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i7.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i7.FormControlDirective, selector: "[formControl]", inputs: ["disabled", "formControl", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { type: i5.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i3$1.NzTrDirective, selector: "tr:not([mat-row]):not([mat-header-row]):not([nz-table-measure-row]):not([nzExpand]):not([nz-table-fixed-row])" }, { type: i5.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3$1.NzTableCellDirective, selector: "th:not(.nz-disable-th):not([mat-cell]), td:not(.nz-disable-td):not([mat-cell])" }, { type: i3$1.NzThMeasureDirective, selector: "th", inputs: ["nzWidth", "colspan", "colSpan", "rowspan", "rowSpan"] }, { type: i5.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet"] }, { type: i9.NzIconDirective, selector: "[nz-icon]", inputs: ["nzRotate", "nzSpin", "nzType", "nzTheme", "nzTwotoneColor", "nzIconfont"], exportAs: ["nzIcon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DataTableComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'x-data-table',
                    templateUrl: './data-table.component.html',
                    styleUrls: ['./data-table.component.scss'],
                    changeDetection: ChangeDetectionStrategy.OnPush,
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { columns: [{
                type: Input
            }], records: [{
                type: Input
            }], displaySizeOptions: [{
                type: Input
            }], totalRecordsCount: [{
                type: Input
            }], pageSize: [{
                type: Input
            }], label: [{
                type: Input
            }], loading: [{
                type: Input
            }], customCellTemplateRef: [{
                type: Input
            }], fetchRecords: [{
                type: Output
            }] } });

class UDataTableModule {
}
UDataTableModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UDataTableModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UDataTableModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UDataTableModule, declarations: [DataTableComponent, CustomDataTableCellComponent], imports: [CommonModule,
        FormsModule,
        NzGridModule,
        NzButtonModule,
        NzIconModule,
        NzDropDownModule,
        NzInputModule,
        ReactiveFormsModule,
        NzSpinModule,
        NzTableModule,
        NzPaginationModule,
        NzSwitchModule], exports: [DataTableComponent] });
UDataTableModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UDataTableModule, imports: [[
            CommonModule,
            FormsModule,
            NzGridModule,
            NzButtonModule,
            NzIconModule,
            NzDropDownModule,
            NzInputModule,
            ReactiveFormsModule,
            NzSpinModule,
            NzTableModule,
            NzPaginationModule,
            NzSwitchModule,
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UDataTableModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [DataTableComponent, CustomDataTableCellComponent],
                    imports: [
                        CommonModule,
                        FormsModule,
                        NzGridModule,
                        NzButtonModule,
                        NzIconModule,
                        NzDropDownModule,
                        NzInputModule,
                        ReactiveFormsModule,
                        NzSpinModule,
                        NzTableModule,
                        NzPaginationModule,
                        NzSwitchModule,
                    ],
                    exports: [DataTableComponent],
                }]
        }] });

class HeaderComponent {
    constructor() {
        this.title = '';
        this.subTitle = '';
    }
}
HeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: HeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
HeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: HeaderComponent, selector: "xu-header", inputs: { title: "title", subTitle: "subTitle", tags: "tags", primaryButton: "primaryButton", secondaryButtons: "secondaryButtons", ellipsisDropdownItems: "ellipsisDropdownItems", breadcrumbItems: "breadcrumbItems", navRoutes: "navRoutes" }, ngImport: i0, template: "<nz-page-header class=\"x-app-header\">\n  <!-- breadcrumbs -->\n  <nz-breadcrumb *ngIf=\"breadcrumbItems?.length\"\n      nzSeparator=\">\"\n      nz-page-header-breadcrumb>\n    <nz-breadcrumb-item *ngFor=\"let breadcrumb of breadcrumbItems\">\n      <a *ngIf=\"breadcrumb.routerLink\"\n          [routerLink]=\"breadcrumb.routerLink\">\n        {{ breadcrumb.name }}\n      </a>\n      <ng-container *ngIf=\"!breadcrumb.routerLink\">{{ breadcrumb.name }}</ng-container>\n    </nz-breadcrumb-item>\n  </nz-breadcrumb>\n\n  <!--title-->\n  <nz-page-header-title>{{ title }}</nz-page-header-title>\n\n  <!--subtitle-->\n  <nz-page-header-subtitle *ngIf=\"subTitle\">{{ subTitle }}</nz-page-header-subtitle>\n\n  <!--tags-->\n  <nz-page-header-tags *ngIf=\"tags?.length\">\n    <nz-tag *ngFor=\"let tag of tags\"\n        nzColor=\"{{ tag?.nzStatusColor || tag?.color }}\">\n      {{ tag?.text }}\n    </nz-tag>\n  </nz-page-header-tags>\n\n  <!-- action buttons and dropdown items-->\n  <nz-page-header-extra>\n    <ng-container *ngIf=\"secondaryButtons?.length\">\n      <button *ngFor=\"let secondaryButton of secondaryButtons\"\n          nz-button\n          (click)=\"secondaryButton.action()\"\n          [disabled]=\"secondaryButton.disabled\">\n        <em *ngIf=\"secondaryButton.nzIconName\"\n            nz-icon\n            [nzType]=\"secondaryButton.nzIconName\"></em>\n        {{ secondaryButton.text }}\n      </button>\n    </ng-container>\n    <button *ngIf=\"primaryButton\"\n        nz-button\n        nzType=\"primary\"\n        (click)=\"primaryButton.action()\"\n        [disabled]=\"primaryButton.disabled\">\n      <em *ngIf=\"primaryButton.nzIconName\"\n          nz-icon\n          [nzType]=\"primaryButton.nzIconName\"></em>\n      {{ primaryButton?.text }}\n    </button>\n    <ng-container *ngIf=\"ellipsisDropdownItems?.length\">\n      <button nz-button\n          nzNoAnimation\n          nz-dropdown\n          [nzDropdownMenu]=\"menu\"\n          style=\"border: none; padding: 0\">\n        <em nz-icon\n            nzType=\"ellipsis\"\n            nzTheme=\"outline\"\n            style=\"font-size: 20px; vertical-align: top\"></em>\n      </button>\n      <nz-dropdown-menu #menu=\"nzDropdownMenu\">\n        <ul nz-menu>\n          <li *ngFor=\"let dropdownItem of ellipsisDropdownItems\"\n              nz-menu-item>\n            {{ dropdownItem.text }}\n          </li>\n        </ul>\n      </nz-dropdown-menu>\n    </ng-container>\n  </nz-page-header-extra>\n\n  <!-- navigation -->\n  <nz-page-header-content>\n    <ng-content></ng-content>\n    <div *ngIf=\"navRoutes?.length\">\n      <nz-tabset nzLinkRouter>\n        <nz-tab *ngFor=\"let route of navRoutes\">\n          <a [attr.data-testid]=\"route.id\"\n              *nzTabLink\n              nz-tab-link\n              [routerLink]=\"[route.path]\"\n              routerLinkActive=\"active\">\n            {{ route.name }}\n          </a>\n        </nz-tab>\n      </nz-tabset>\n      <ng-template #extraTemplate></ng-template>\n    </div>\n  </nz-page-header-content>\n</nz-page-header>\n", styles: [".x-app-header{background:rgba(255,255,255,.57);border-bottom:1px solid rgba(0,0,0,.15);padding:24px 24px 0;display:flex;flex-direction:column;position:relative}.x-app-header:before{content:\"\";background-image:url(/assets/fleet-manager/pattern.svg);background-repeat:no-repeat;background-position:right;width:100%;height:100%;position:absolute;right:0;top:0;opacity:.18;pointer-events:none}.x-app-header .ant-page-header-heading-title{font-family:\"Shell\";font-weight:600;font-size:32px;line-height:40px;margin-left:20px}.ant-tag{border-radius:12px}\n"], components: [{ type: i1$1.NzPageHeaderComponent, selector: "nz-page-header", inputs: ["nzBackIcon", "nzGhost", "nzTitle", "nzSubtitle"], outputs: ["nzBack"], exportAs: ["nzPageHeader"] }, { type: i2$2.NzBreadCrumbComponent, selector: "nz-breadcrumb", inputs: ["nzAutoGenerate", "nzSeparator", "nzRouteLabel", "nzRouteLabelFn"], exportAs: ["nzBreadcrumb"] }, { type: i2$2.NzBreadCrumbItemComponent, selector: "nz-breadcrumb-item", inputs: ["nzOverlay"], exportAs: ["nzBreadcrumbItem"] }, { type: i3$2.NzTagComponent, selector: "nz-tag", inputs: ["nzMode", "nzChecked", "nzColor"], outputs: ["nzOnClose", "nzCheckedChange"], exportAs: ["nzTag"] }, { type: i3.NzButtonComponent, selector: "button[nz-button], a[nz-button]", inputs: ["nzBlock", "nzGhost", "nzSearch", "nzLoading", "nzDanger", "disabled", "tabIndex", "nzType", "nzShape", "nzSize"], exportAs: ["nzButton"] }, { type: i4.NzDropdownMenuComponent, selector: "nz-dropdown-menu", exportAs: ["nzDropdownMenu"] }, { type: i6.NzTabSetComponent, selector: "nz-tabset", inputs: ["nzTabPosition", "nzCanDeactivate", "nzAddIcon", "nzTabBarStyle", "nzType", "nzSize", "nzAnimated", "nzTabBarGutter", "nzHideAdd", "nzCentered", "nzHideAll", "nzLinkRouter", "nzLinkExact", "nzSelectedIndex", "nzTabBarExtraContent"], outputs: ["nzSelectChange", "nzSelectedIndexChange", "nzTabListScroll", "nzClose", "nzAdd"], exportAs: ["nzTabset"] }, { type: i6.NzTabComponent, selector: "nz-tab", inputs: ["nzTitle", "nzClosable", "nzCloseIcon", "nzDisabled", "nzForceRender"], outputs: ["nzSelect", "nzDeselect", "nzClick", "nzContextmenu"], exportAs: ["nzTab"] }], directives: [{ type: i5.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i1$1.NzPageHeaderBreadcrumbDirective, selector: "nz-breadcrumb[nz-page-header-breadcrumb]", exportAs: ["nzPageHeaderBreadcrumb"] }, { type: i5.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i8$1.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["routerLink", "target", "queryParams", "fragment", "queryParamsHandling", "preserveFragment", "skipLocationChange", "replaceUrl", "state", "relativeTo"] }, { type: i1$1.NzPageHeaderTitleDirective, selector: "nz-page-header-title, [nz-page-header-title]", exportAs: ["nzPageHeaderTitle"] }, { type: i1$1.NzPageHeaderSubtitleDirective, selector: "nz-page-header-subtitle, [nz-page-header-subtitle]", exportAs: ["nzPageHeaderSubtitle"] }, { type: i1$1.NzPageHeaderTagDirective, selector: "nz-page-header-tags, [nz-page-header-tags]", exportAs: ["nzPageHeaderTags"] }, { type: i1$1.NzPageHeaderExtraDirective, selector: "nz-page-header-extra, [nz-page-header-extra]", exportAs: ["nzPageHeaderExtra"] }, { type: i7$1.NzWaveDirective, selector: "[nz-wave],button[nz-button]:not([nzType=\"link\"]):not([nzType=\"text\"])", inputs: ["nzWaveExtraNode"], exportAs: ["nzWave"] }, { type: i8.ɵNzTransitionPatchDirective, selector: "[nz-button], nz-button-group, [nz-icon], [nz-menu-item], [nz-submenu], nz-select-top-control, nz-select-placeholder, nz-input-group", inputs: ["hidden"] }, { type: i9.NzIconDirective, selector: "[nz-icon]", inputs: ["nzRotate", "nzSpin", "nzType", "nzTheme", "nzTwotoneColor", "nzIconfont"], exportAs: ["nzIcon"] }, { type: i4.NzDropdownButtonDirective, selector: "[nz-button][nz-dropdown]" }, { type: i4.NzDropDownDirective, selector: "[nz-dropdown]", inputs: ["nzDropdownMenu", "nzTrigger", "nzMatchWidthElement", "nzHasBackdrop", "nzBackdrop", "nzClickHide", "nzDisabled", "nzVisible", "nzOverlayClassName", "nzOverlayStyle", "nzPlacement"], outputs: ["nzVisibleChange"], exportAs: ["nzDropdown"] }, { type: i10.NzMenuDirective, selector: "[nz-menu]", inputs: ["nzInlineIndent", "nzTheme", "nzMode", "nzInlineCollapsed", "nzSelectable"], outputs: ["nzClick"], exportAs: ["nzMenu"] }, { type: i10.NzMenuItemDirective, selector: "[nz-menu-item]", inputs: ["nzDisabled", "nzSelected", "nzDanger", "nzMatchRouterExact", "nzMatchRouter", "nzPaddingLeft"], exportAs: ["nzMenuItem"] }, { type: i1$1.NzPageHeaderContentDirective, selector: "nz-page-header-content, [nz-page-header-content]", exportAs: ["nzPageHeaderContent"] }, { type: i6.NzTabLinkTemplateDirective, selector: "ng-template[nzTabLink]", exportAs: ["nzTabLinkTemplate"] }, { type: i6.NzTabLinkDirective, selector: "a[nz-tab-link]", exportAs: ["nzTabLink"] }, { type: i8$1.RouterLinkActive, selector: "[routerLinkActive]", inputs: ["routerLinkActiveOptions", "routerLinkActive"], exportAs: ["routerLinkActive"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: HeaderComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'xu-header',
                    templateUrl: './header.component.html',
                    styleUrls: ['./header.component.scss'],
                }]
        }], propDecorators: { title: [{
                type: Input
            }], subTitle: [{
                type: Input
            }], tags: [{
                type: Input
            }], primaryButton: [{
                type: Input
            }], secondaryButtons: [{
                type: Input
            }], ellipsisDropdownItems: [{
                type: Input
            }], breadcrumbItems: [{
                type: Input
            }], navRoutes: [{
                type: Input
            }] } });

class UHeaderModule {
}
UHeaderModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UHeaderModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UHeaderModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UHeaderModule, declarations: [HeaderComponent], imports: [CommonModule,
        RouterModule,
        NzPageHeaderModule,
        NzTabsModule,
        NzBreadCrumbModule,
        NzTagModule,
        NzButtonModule,
        NzDropDownModule,
        NzIconModule], exports: [HeaderComponent] });
UHeaderModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UHeaderModule, imports: [[
            CommonModule,
            RouterModule,
            NzPageHeaderModule,
            NzTabsModule,
            NzBreadCrumbModule,
            NzTagModule,
            NzButtonModule,
            NzDropDownModule,
            NzIconModule,
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UHeaderModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [HeaderComponent],
                    imports: [
                        CommonModule,
                        RouterModule,
                        NzPageHeaderModule,
                        NzTabsModule,
                        NzBreadCrumbModule,
                        NzTagModule,
                        NzButtonModule,
                        NzDropDownModule,
                        NzIconModule,
                    ],
                    exports: [HeaderComponent],
                }]
        }] });

class FooterComponent {
    constructor() { }
    ngOnInit() { }
}
FooterComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: FooterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
FooterComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: FooterComponent, selector: "x-footer", inputs: { primaryButton: "primaryButton", secondaryButtons: "secondaryButtons" }, ngImport: i0, template: "<div nz-col\n    nzJustify=\"end\">\n  <div nz-row\n      nzJustify=\"end\"\n      class=\"x-app-footer-logo-container\">\n    <div nz-col\n        class=\"x-app-footer-logo\"></div>\n  </div>\n  <div *ngIf=\"primaryButton || secondaryButtons\"\n      nz-row\n      nzJustify=\"end\"\n      class=\"x-app-footer-buttons\">\n    <ng-container *ngIf=\"secondaryButtons?.length\">\n      <button *ngFor=\"let secondaryButton of secondaryButtons\"\n          nz-button\n          (click)=\"secondaryButton.action()\"\n          [disabled]=\"secondaryButton.disabled\">\n        <em *ngIf=\"secondaryButton.nzIconName\"\n            nz-icon\n            [nzType]=\"secondaryButton.nzIconName\"></em>\n        {{ secondaryButton.text }}\n      </button>\n    </ng-container>\n    <button *ngIf=\"primaryButton\"\n        nz-button\n        nzType=\"primary\"\n        (click)=\"primaryButton.action()\"\n        [disabled]=\"primaryButton.disabled\">\n      <em *ngIf=\"primaryButton.nzIconName\"\n          nz-icon\n          [nzType]=\"primaryButton.nzIconName\"></em>\n      {{ primaryButton?.text }}\n    </button>\n  </div>\n</div>\n", styles: [":host{background:var(--x-color-background-base);min-height:40px;bottom:0;position:relative}.x-app-footer-logo-container{background:var(--x-color-background-base)}.x-app-footer-logo{background-image:url(/assets/fleet-manager/shell-recharge.svg);background-repeat:no-repeat;background-size:contain;width:140px;min-height:40px;margin:24px 24px 12px 0}.x-app-footer-buttons{background:#fff;padding:12px}.ant-btn{margin-left:12px!important}\n"], components: [{ type: i3.NzButtonComponent, selector: "button[nz-button], a[nz-button]", inputs: ["nzBlock", "nzGhost", "nzSearch", "nzLoading", "nzDanger", "disabled", "tabIndex", "nzType", "nzShape", "nzSize"], exportAs: ["nzButton"] }], directives: [{ type: i2$3.NzColDirective, selector: "[nz-col],nz-col,nz-form-control,nz-form-label", inputs: ["nzFlex", "nzSpan", "nzOrder", "nzOffset", "nzPush", "nzPull", "nzXs", "nzSm", "nzMd", "nzLg", "nzXl", "nzXXl"], exportAs: ["nzCol"] }, { type: i2$3.NzRowDirective, selector: "[nz-row],nz-row,nz-form-item", inputs: ["nzAlign", "nzJustify", "nzGutter"], exportAs: ["nzRow"] }, { type: i5.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i5.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i7$1.NzWaveDirective, selector: "[nz-wave],button[nz-button]:not([nzType=\"link\"]):not([nzType=\"text\"])", inputs: ["nzWaveExtraNode"], exportAs: ["nzWave"] }, { type: i8.ɵNzTransitionPatchDirective, selector: "[nz-button], nz-button-group, [nz-icon], [nz-menu-item], [nz-submenu], nz-select-top-control, nz-select-placeholder, nz-input-group", inputs: ["hidden"] }, { type: i9.NzIconDirective, selector: "[nz-icon]", inputs: ["nzRotate", "nzSpin", "nzType", "nzTheme", "nzTwotoneColor", "nzIconfont"], exportAs: ["nzIcon"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: FooterComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'x-footer',
                    templateUrl: './footer.component.html',
                    styleUrls: ['./footer.component.scss'],
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { primaryButton: [{
                type: Input
            }], secondaryButtons: [{
                type: Input
            }] } });

class UFooterModule {
}
UFooterModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UFooterModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UFooterModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UFooterModule, declarations: [FooterComponent], imports: [CommonModule, NzGridModule, NzButtonModule, NzIconModule], exports: [FooterComponent] });
UFooterModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UFooterModule, imports: [[CommonModule, NzGridModule, NzButtonModule, NzIconModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UFooterModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [FooterComponent],
                    imports: [CommonModule, NzGridModule, NzButtonModule, NzIconModule],
                    exports: [FooterComponent],
                }]
        }] });

// import {
//   EditOutline,
//   PlusOutline,
//   DeleteOutline,
//   WarningOutline,
// } from '@ant-design/icons-angular/icons';
// import { ReactiveFormsModule } from '@angular/forms';
// import { ErrorCatchingInterceptor } from './interceptors/errors-catching.interceptor';
// import { UmbrellaDataTableModule } from './x-nz-components/data-table/umbrella-table.module';
// import { IconDefinition } from '@ant-design/icons-angular';
// /* Ant icon definitions */
// const icons: IconDefinition[] = [EditOutline, PlusOutline, DeleteOutline, WarningOutline];
class UmbrellaLibraryModule {
}
UmbrellaLibraryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UmbrellaLibraryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UmbrellaLibraryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UmbrellaLibraryModule, declarations: [UmbrellaLibraryComponent], imports: [
        /* Angular Modules */
        CommonModule,
        /* Umbrella Modules */
        UHeaderModule,
        UFooterModule,
        UDataTableModule,
        /* Ant Modules */
        NzGridModule,
        NzPageHeaderModule,
        NzCardModule,
        NzTabsModule,
        NzBreadCrumbModule,
        NzCollapseModule,
        NzDividerModule,
        // NzIconModule.forChild(icons),
        NzAnchorModule,
        NzTypographyModule,
        NzFormModule,
        NzInputModule,
        NzInputNumberModule,
        NzPaginationModule,
        NzSelectModule,
        NzMessageModule,
        NzRadioModule,
        NzButtonModule,
        NzDrawerModule,
        NzSpaceModule,
        NzTagModule,
        NzModalModule,
        NzResultModule,
        NzTableModule,
        NzSpinModule,
        NzToolTipModule,
        NzSwitchModule], exports: [CommonModule,
        /* Umbrella Modules */
        UHeaderModule,
        UFooterModule,
        UDataTableModule,
        /* Ant Modules */
        NzGridModule,
        NzPageHeaderModule,
        NzCardModule,
        NzTabsModule,
        NzBreadCrumbModule,
        NzCollapseModule,
        NzDividerModule,
        NzIconModule,
        NzAnchorModule,
        NzTypographyModule,
        NzPaginationModule,
        NzFormModule,
        NzInputModule,
        NzInputNumberModule,
        NzSelectModule,
        NzMessageModule,
        NzRadioModule,
        NzButtonModule,
        NzDrawerModule,
        NzSpaceModule,
        NzTagModule,
        NzModalModule,
        NzResultModule,
        NzTableModule,
        NzSpinModule,
        NzToolTipModule,
        NzSwitchModule] });
UmbrellaLibraryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UmbrellaLibraryModule, imports: [[
            /* Angular Modules */
            CommonModule,
            /* Umbrella Modules */
            UHeaderModule,
            UFooterModule,
            UDataTableModule,
            /* Ant Modules */
            NzGridModule,
            NzPageHeaderModule,
            NzCardModule,
            NzTabsModule,
            NzBreadCrumbModule,
            NzCollapseModule,
            NzDividerModule,
            // NzIconModule.forChild(icons),
            NzAnchorModule,
            NzTypographyModule,
            NzFormModule,
            NzInputModule,
            NzInputNumberModule,
            NzPaginationModule,
            NzSelectModule,
            NzMessageModule,
            NzRadioModule,
            NzButtonModule,
            NzDrawerModule,
            NzSpaceModule,
            NzTagModule,
            NzModalModule,
            NzResultModule,
            NzTableModule,
            NzSpinModule,
            NzToolTipModule,
            NzSwitchModule,
        ], CommonModule,
        /* Umbrella Modules */
        UHeaderModule,
        UFooterModule,
        UDataTableModule,
        /* Ant Modules */
        NzGridModule,
        NzPageHeaderModule,
        NzCardModule,
        NzTabsModule,
        NzBreadCrumbModule,
        NzCollapseModule,
        NzDividerModule,
        NzIconModule,
        NzAnchorModule,
        NzTypographyModule,
        NzPaginationModule,
        NzFormModule,
        NzInputModule,
        NzInputNumberModule,
        NzSelectModule,
        NzMessageModule,
        NzRadioModule,
        NzButtonModule,
        NzDrawerModule,
        NzSpaceModule,
        NzTagModule,
        NzModalModule,
        NzResultModule,
        NzTableModule,
        NzSpinModule,
        NzToolTipModule,
        NzSwitchModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: UmbrellaLibraryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        UmbrellaLibraryComponent
                    ],
                    imports: [
                        /* Angular Modules */
                        CommonModule,
                        /* Umbrella Modules */
                        UHeaderModule,
                        UFooterModule,
                        UDataTableModule,
                        /* Ant Modules */
                        NzGridModule,
                        NzPageHeaderModule,
                        NzCardModule,
                        NzTabsModule,
                        NzBreadCrumbModule,
                        NzCollapseModule,
                        NzDividerModule,
                        // NzIconModule.forChild(icons),
                        NzAnchorModule,
                        NzTypographyModule,
                        NzFormModule,
                        NzInputModule,
                        NzInputNumberModule,
                        NzPaginationModule,
                        NzSelectModule,
                        NzMessageModule,
                        NzRadioModule,
                        NzButtonModule,
                        NzDrawerModule,
                        NzSpaceModule,
                        NzTagModule,
                        NzModalModule,
                        NzResultModule,
                        NzTableModule,
                        NzSpinModule,
                        NzToolTipModule,
                        NzSwitchModule,
                    ],
                    exports: [
                        CommonModule,
                        /* Umbrella Modules */
                        UHeaderModule,
                        UFooterModule,
                        UDataTableModule,
                        /* Ant Modules */
                        NzGridModule,
                        NzPageHeaderModule,
                        NzCardModule,
                        NzTabsModule,
                        NzBreadCrumbModule,
                        NzCollapseModule,
                        NzDividerModule,
                        NzIconModule,
                        NzAnchorModule,
                        NzTypographyModule,
                        NzPaginationModule,
                        NzFormModule,
                        NzInputModule,
                        NzInputNumberModule,
                        NzSelectModule,
                        NzMessageModule,
                        NzRadioModule,
                        NzButtonModule,
                        NzDrawerModule,
                        NzSpaceModule,
                        NzTagModule,
                        NzModalModule,
                        NzResultModule,
                        NzTableModule,
                        NzSpinModule,
                        NzToolTipModule,
                        NzSwitchModule,
                    ],
                }]
        }] });

/*
 * Public API Surface of umbrella-library
 */

/**
 * Generated bundle index. Do not edit.
 */

export { DataTableComponent, FooterComponent, HeaderComponent, UDataTableModule, UFooterModule, UHeaderModule, UmbrellaLibraryComponent, UmbrellaLibraryModule, UmbrellaLibraryService };
//# sourceMappingURL=umbrella-library.js.map
